=== debian/control ===
Source: ros-noetic-grepros
Section: misc
Priority: optional
Maintainer: Erki Suurjaak <erki@lap.ee>
Build-Depends: debhelper (>= 9.0.0), python3-yaml, ros-noetic-catkin, ros-noetic-genpy, ros-noetic-rosbag, ros-noetic-roslib, ros-noetic-rospy, ros-noetic-rostest <!nocheck>, ros-noetic-std-msgs <!nocheck>
Homepage: http://www.ros.org/wiki/grepros
Standards-Version: 3.9.2

Package: ros-noetic-grepros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-noetic-genpy, ros-noetic-rosbag, ros-noetic-roslib, ros-noetic-rospy
Description: grep for ROS bag files and live topics
