## ros-noetic-grepros 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,8 @@
     catkin_add_nosetests(test/test_bag_to_sql.py)
     add_rostest(test/test_bag_to_live.launch)
     add_rostest(test/test_live_to_console.launch)
+    catkin_add_nosetests(test/test_api.py)
+    catkin_add_nosetests(test/test_library.py)
   endif()
 
   catkin_package(CATKIN_DEPENDS genpy rosbag roslib rospy)
@@ -48,6 +50,8 @@
     ament_add_pytest_test(test_bag_to_sql      test/test_bag_to_sql.py)
     ament_add_pytest_test(test_bag_to_live     test/test_bag_to_live.py)
     ament_add_pytest_test(test_live_to_console test/test_live_to_console.py)
+    ament_add_pytest_test(test_api             test/test_api.py)
+    ament_add_pytest_test(test_library         test/test_library.py)
   endif()
 
   ament_python_install_package(${PROJECT_NAME} PACKAGE_DIR src/${PROJECT_NAME})
