=== debian/changelog ===
ros-noetic-grepros (1.0.0-1focal) focal; urgency=high

  * make grepros conveniently usable as a library
  * add --no-highlight option
  * add --stop-on-error option
  * rename options --print-field and --no-print-field to --emit-field and --no-emit-field
  * support --emit-field --no-emit-field in CSV and Parquet exports
  * handle all numpy types in ROS2 messages, not only ndarrays
  * avoid raising errors for unknown message types in ROS2 bags if not reading those topics
  * fix grepping and emitting specific messages fields only
  * fix not skipping live topics published by grepros itself in ROS2
  * fix embag reader
  * verify output targets being writable on startup
  * provide connection header in writing ROS1 bag if topic has multiple types
  * smooth over rosbag bug of ignoring topic and time filters in format v1.2
  * print ROS1 master URI in verbose mode on connecting to live topics
  * raise error on loading Parquet plugin if libraries unavailable
  * support "postgres://" as auto-detected Postgres target in addition to "postgresql://"
  * use bagfile format as last when auto-detecting output format
  * add MCAP bag interface
  * auto-detect MCAP output by file extension
  * add inputs.AppSource and outputs.AppSink
  * add api.deserialize_message() dict_to_message() make_full_typename() time_message() to_time()
  * rename api.get_message_data() to serialize_message()
  * fix api.message_to_dict() giving invalid names for temporal types in ROS2

 -- Erki Suurjaak <erki@lap.ee>  Tue, 12 Jul 2022 21:00:00 -0000

ros-noetic-grepros (0.6.0-1focal) focal; urgency=high

  * add nesting=array|all to --write Parquet options
  * add idgenerator=callable to --write Parquet options
  * add api.canonical()
  * match bounded array fields to configured output types properly
    in Parquet/Postgres/SQL/SQLite output, like "uint8[10]" for "BYTEA" in Postgres
  * workaround for ROS1 time/duration fields defined as int32 while actually being uint32
  * fix date formatting in HTML output

 -- Erki Suurjaak <erki@lap.ee>  Sun, 26 Mar 2023 21:00:00 -0000

ros-noetic-grepros (0.5.0-1focal) focal; urgency=high

  * add --plugin grepros.plugins.mcap (MCAP input and output)
  * refactor internal bag API
  * fix message type definition parsing yielding duplicate subtypes
  * fix error in example usage text

 -- Erki Suurjaak <erki@lap.ee>  Mon, 17 Oct 2022 21:00:00 -0000

ros-noetic-grepros (0.4.7-1focal) focal; urgency=high

  * fix space leak in caching message metadata

 -- Erki Suurjaak <erki@lap.ee>  Sun, 19 Jun 2022 21:00:00 -0000

ros-noetic-grepros (0.4.6-1focal) focal; urgency=high

  * add forgotten implementation for --every-nth-match
  * fix --every-nth-message
  * fix error on grepping bags where no topic or type name matches given filter

 -- Erki Suurjaak <erki@lap.ee>  Wed, 25 May 2022 21:00:00 -0000

ros-noetic-grepros (0.4.5-1focal) focal; urgency=high

  * fix forcing all numeric array fields to integer lists regardless of type
  * fix error on subscribing to defunct topic

 -- Erki Suurjaak <erki@lap.ee>  Mon, 18 Apr 2022 21:00:00 -0000

ros-noetic-grepros (0.4.4-1focal) focal; urgency=high

  * add support for reading zstd-compressed bagfiles
  * use message type definition from ROS1 live topics instead of locally installed package
  * optimize partial printing of very long array fields
  * optimize CSV output of very long array fields
  * strip leading "./" from printed filename prefix if grepping working directory
  * fix not skipping ROS2 bag if all topics filtered out
  * fix making compatible QoS for ROS2 topic subscriptions
  * fix making unique filename on error in HTML output

 -- Erki Suurjaak <erki@lap.ee>  Tue, 15 Mar 2022 22:00:00 -0000

ros-noetic-grepros (0.4.3-1focal) focal; urgency=high

  * continue subscribing to other live topics even if one causes error
  * continue reading from ROS2 bag even if one message type causes error
  * subscribe to live topics in ROS2 with QoS matching publisher
  * fix not saving publisher QoS profiles in written ROS2 bags
  * fix package build not including submodules (#1)

 -- Erki Suurjaak <erki@lap.ee>  Mon, 28 Feb 2022 22:00:00 -0000

ros-noetic-grepros (0.4.2-1focal) focal; urgency=high

  * add overwrite=true|false to --write options
  * add column-name=rostype:value to --write Parquet options
  * add scripts/generate_msgs.py
  * create message type definition from .idl if .msg file not available in ROS2
  * improve DDS type parsing in ROS2
  * handle ROS2 char and byte int8/uint8 reversal vs ROS1
  * fix assembling message type full definition in ROS2
  * fix processing byte values in ROS2
  * fix processing bounded string types in ROS2
  * fix inserting chars in Postgres
  * fix inserting very large integers in SQLite

 -- Erki Suurjaak <erki@lap.ee>  Tue, 08 Feb 2022 22:00:00 -0000

ros-noetic-grepros (0.4.1-1focal) focal; urgency=high

  * refactor database and SQL sinks onto a common base
  * allow specifying dialect options in Postgres/SQLite output
  * allow overriding table and view names in SQL dialects
  * allow specifying field value adapters in SQL dialects
  * allow specifying structured type mappings in Parquet output like type-uint8[]="list(uint8())"
  * drop meta-table from Postgres output
  * drop default value from --publish-prefix option
  * fix error in parsing subtypes from message definitions
  * fix converting ROS2 temporal messages to seconds/nanoseconds

 -- Erki Suurjaak <erki@lap.ee>  Fri, 07 Jan 2022 22:00:00 -0000

ros-noetic-grepros (0.4.0-1focal) focal; urgency=high

  * add --plugin grepros.plugins.parquet (Parquet output)
  * add --plugin grepros.plugins.sql (SQL schema output)
  * add --plugin grepros.plugins.embag (faster ROS1 bag reader)
  * add --reindex-if-unindexed option
  * add --every-nth-match option
  * add --every-nth-message option
  * add --every-nth-interval option
  * allow multiple write sinks, combine --write-format and --write-option to --write
  * refactor plugins interface

